Bug 129068 - Help button in *dialog.ui does not send to the right Help page
Summary: Help button in *dialog.ui does not send to the right Help page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-28 00:14 UTC by Olivier Hallot
Modified: 2019-12-04 16:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2019-11-28 00:14:52 UTC
Many dialogs are split between *dialog.ui and *page.ui. The help button of the dialog is in the *dialog.ui and does not consider the *page.ui contents displayed.

Result is a fallback Help page, often useless.

Example (Impress, Format - Interaction)
sd/uiconfig/simpress/ui/interactionpage.ui
and
sd/uiconfig/simpress/ui/interactiondialog.ui

Example 2: (Tools - Customize - events)
cui/uiconfig/ui/customizedialog.ui
cui/uiconfig/ui/eventassignpage.ui
Comment 1 stragu 2019-11-28 06:56:36 UTC
Confirmed in:

Version: 6.3.3.2
Build ID: 1:6.3.3-0ubuntu0.18.04.1~lo1
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-AU (en_AU.UTF-8); UI-Language: en-GB
Calc: threaded

Changing earliest version affected accordingly.
Comment 2 Caolán McNamara 2019-11-28 15:43:50 UTC
and *which* help mode do we spear of, we now have three of them, "classic" offline help, online help and offline html help ?
Comment 3 Olivier Hallot 2019-11-29 13:23:36 UTC
In the case of the interaction dialog, both Helponline and Help offline (browser based) send the same HID

offline URL: 
file:///home/tdf/git/core/instdir/program/../help/index.html?Target=simpress/modules/simpress/ui/interactiondialog/help&Language=pt-BR&System=UNIX&Version=6.5"

Online URL:
https://help.libreoffice.org/6.5/index.html?Target=simpress/modules/simpress/ui/interactiondialog/help&Language=pt-BR&System=UNIX&Version=6.5

In this case, HID is 'Target='

There is no Help page for HID(target) simpress/modules/simpress/ui/interactiondialog/*

The target help page to open is helpcontent2/source/text/simpress/01/06070000.xhp where a bookmark is defined (among others) to

<bookmark xml-lang="en-US" branch="hid/modules/simpress/ui/interactionpage/InteractionPage" id="bm_id3152874" localize="false"/>

so 'Target=simpress/modules/simpress/ui/interactionpage/InteractionPage' should be in the URL instead.
Comment 4 Caolán McNamara 2019-12-02 16:20:47 UTC
I think the event page doesn't work cause of missing help for the page. https://gerrit.libreoffice.org/#/c/84243/ would fix that.

The interaction dialog indeed doesn't check the contents area before trying the dialog itself. https://gerrit.libreoffice.org/#/c/84245/ will try and address that
Comment 5 Commit Notification 2019-12-02 16:23:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ccbdf9f9430127f14e9edb092385d0fcaab3b157

Related: tdf#129068 add EventConfigPage to help targets
Comment 6 Commit Notification 2019-12-02 16:32:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/help/commit/830406480085e533d5626963dd8342a512cfac82

Related: tdf#129068 add EventConfigPage to help targets
Comment 7 Commit Notification 2019-12-02 20:18:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d4c22030d7c83de6f1835cdb5d891c2d563c34fd

tdf#129068 try dialog content area help before dialog itself

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-03 13:45:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4359ee40b42a6c3febd5ff8f8286303d20d245e9

tdf#129068 try dialog content area help before dialog itself

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2019-12-04 16:51:58 UTC
Hi Caolán, Oliver,
should it be backported to libreoffice-6-3 branch ?